Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.seals.protocol.v1
Class EncodeResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.ResponseType
          be.fgov.ehealth.seals.protocol.v1.EncodeResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:35+01:00",
               comments="JAXB RI v2.2.11")
    public class EncodeResponse

extends ResponseType
implements Serializable

Response message with encoded data

Java class for EncodeResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EncodeResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="ApplicationName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Response" type="{urn:be:fgov:ehealth:seals:core:v1}ChoiceEncodedDataErrorType" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EncodeResponse()`

Method Summary
`String` | `getApplicationName()` Gets the value of the applicationName property.
`List<ChoiceEncodedDataErrorType>` | `getResponses()` Gets the value of the responses property.
`void` | `setApplicationName(String value)` Sets the value of the applicationName property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType
`getId, getStatus, setId, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodeResponse

    public EncodeResponse()

Method Detail

### getApplicationName

    public String getApplicationName()

  Gets the value of the applicationName property.

  Returns:
    possible object is `String`

### setApplicationName

    public void setApplicationName(String value)

  Sets the value of the applicationName property.

  Parameters:
    `value` - allowed object is `String`

### getResponses

    public List<ChoiceEncodedDataErrorType> getResponses()

  Gets the value of the responses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the responses property.

  For example, to add a new item, do as follows:

          getResponses().add(newItem);

  Objects of the following type(s) are allowed in the list `ChoiceEncodedDataErrorType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.